Subject: emacs-evil fails compilation by emacs-28.1, but upstream has newer commits which should compile

From: Maze <[email-masked]>
Date: Wed, 18 May 2022 13:58:59 +0800

`guix install emacs-evil` has been failing since a few days.

Very probably because elisp function define-obsolete-function-alias had
a third mandatory argument added by emacs 28.

It looks like guix installs the version 1.14.0 from upstream's git but
it's quite old. Evil 1.14.0 won't guix install and it also won't byte compile
from emacs-28, using its own Makefile. Their latest commit, on the other
hand, can be byte compiled by emacs-28.

I downloaded their repo and looked at the log, it seems evil has a new
version 1.15.0 from a couple weeks ago, only they forgot to tag it in
git. Maybe it's best to use the version which is described as 1.15.0 in
the commit message... or to use their very last commit.

I can't right now no time but I might submit a patch in the other
mailing list in a few hours.